Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Interface GrailsArtefactClassInjector

    org.codehaus.groovy.grails.compiler.injection.ClassInjector
      org.codehaus.groovy.grails.compiler.injection.GrailsArtefactClassInjector

All Superinterfaces:
  ClassInjector

    public interface GrailsArtefactClassInjector
    extends ClassInjector

Interface specific to Grails artefacts that returns the artefact type.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`org.codehaus.groovy.ast.ClassNode[]` | `EMPTY_CLASS_ARRAY`
`org.codehaus.groovy.ast.expr.ArgumentListExpression` | `ZERO_ARGS`
`org.codehaus.groovy.ast.Parameter[]` | `ZERO_PARAMETERS`

Fields inherited from interface ClassInjector
PRIVATE_STATIC_MODIFIER

Method Summary
`java.lang.String[]` | `getArtefactTypes()`

Methods inherited from interface ClassInjector
performInjection, performInjection, performInjectionOnAnnotatedClass, shouldInject

Field Detail

### EMPTY_CLASS_ARRAY

    public org.codehaus.groovy.ast.ClassNode[] EMPTY_CLASS_ARRAY

### ZERO_ARGS

    public org.codehaus.groovy.ast.expr.ArgumentListExpression ZERO_ARGS

### ZERO_PARAMETERS

    public org.codehaus.groovy.ast.Parameter[] ZERO_PARAMETERS

Method Detail

### getArtefactTypes

    public java.lang.String[] getArtefactTypes()

Groovy Documentation